<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class SysetmEventTypeMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('system_event_type', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title');
            $table->tinyInteger('office_status')->default('1')->comment('1=Open, 0=close');
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::statement('SET FOREIGN_KEY_CHECKS=0');
        Schema::dropIfExists('system_event_type');
        DB::statement('SET FOREIGN_KEY_CHECKS=1');
    }
}
